---
# BBOSS Copyright (C) 2018-2021, Laurent Marchelli
# SPDX-License-Identifier: GPL-3.0-or-later

# {{ ansible_managed }}
# Role: {{ role_name }}
# File: {{ template_path | relpath(role_path) }}
{# # Commit: {{ lookup('pipe', 'git rev-parse --short HEAD') }} #}

version: '2.4'

networks:
  {{ stack_project.name }}:
    driver: bridge
    name: {{ stack_project.name }}

services:
  nginx:
    hostname: nginx
    image: {{ stackapp_info.nginx.image }}
    networks:
      {{ stack_project.name }}: {}
    ports:
      - "{{ stackapp_network.nginx.port }}:{{ stackapp_service.nginx.port }}"
    volumes:
      - nginx_conf:/etc/nginx/:rw
      - nginx_data:/usr/share/nginx/html/:rw
    depends_on:
      nexus:
        condition: service_started

  nexus:
    hostname: nexus
    image: {{ stackapp_info.nexus.image }}
    environment:
      NEXUS_SECURITY_RANDOMPASSWORD: "{{ nexus_password_rand }}"
    networks:
      {{ stack_project.name }}: {}
    volumes:
      - nexus_data:/nexus-data:rw

volumes:
  nginx_conf: {}
  nginx_data: {}
  nexus_data: {}
